Package: groovy.inspect.swingui

## [Groovy] Class AstBrowser

- groovy.inspect.swingui.AstBrowser

- This object is a GUI for looking at the AST that Groovy generates. Usage: java groovy.inspect.swingui.AstBrowser [filename] where [filename] is an existing Groovy script.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GeneratedBytecodeAwareGroovyClassLoader` | `classLoader`
    `def` | `frame`
    `def` | `prefs`
    `Action` | `refreshAction`
    `boolean` | `showClosureClasses`
    `boolean` | `showIndyBytecode`
    `boolean` | `showScriptClass`
    `boolean` | `showScriptFreeForm`
    `boolean` | `showTreeView`
    `SwingBuilder` | `swing`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AstBrowser (def inputArea, def rootElement, def classLoader, def config = null)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `compile(def jTree, String script, int compilePhase)`
    `` | `void` | `decompile(def phaseId, def source)`
    `` | `void` | `initAuxViews()`
    `` | `void` | `largerFont(EventObject evt = null)`
    `` | `static void` | `main(def args)`
    `` | `void` | `run(Closure script)`
    `` | `void` | `run(Closure script, String name)`
    `` | `void` | `showAbout(EventObject evt)`
    `` | `void` | `showClosureClasses(EventObject evt)`
    `` | `void` | `showIndyBytecode(EventObject evt = null)`
    `` | `void` | `showScriptClass(EventObject evt)`
    `` | `void` | `showScriptFreeForm(EventObject evt)`
    `` | `void` | `showTreeView(EventObject evt = null)`
    `` | `void` | `smallerFont(EventObject evt = null)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### GeneratedBytecodeAwareGroovyClassLoader classLoader

    - #### def frame

    - #### def prefs

    - #### Action refreshAction

    - #### boolean showClosureClasses

    - #### boolean showIndyBytecode

    - #### boolean showScriptClass

    - #### boolean showScriptFreeForm

    - #### boolean showTreeView

    - #### SwingBuilder swing

  - ### Constructor Detail

    - #### AstBrowser(def inputArea, def rootElement, def classLoader, def config = null)

  - ### Method Detail

    - #### void compile(def jTree, String script, int compilePhase)

    - #### void decompile(def phaseId, def source)

    - #### void initAuxViews()

    - #### void largerFont(EventObject evt = null)

    - #### static void main(def args)

    - #### void run(Closure script)

    - #### void run(Closure script, String name)

    - #### void showAbout(EventObject evt)

    - #### void showClosureClasses(EventObject evt)

    - #### void showIndyBytecode(EventObject evt = null)

    - #### void showScriptClass(EventObject evt)

    - #### void showScriptFreeForm(EventObject evt)

    - #### void showTreeView(EventObject evt = null)

    - #### void smallerFont(EventObject evt = null)